Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui
Class Wizard

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.gwtutils.client.ui.Dialog
                      com.maryanovsky.gwtutils.client.ui.Wizard

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, IsWidget

    public class Wizard

extends Dialog

A wizard is a multi-stage dialog.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.maryanovsky.gwtutils.client.ui.Dialog
`dialogCallback`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Wizard(DialogCallback dialogCallback)` Creates a new Wizard with the specified dialog callback.

Method Summary
`protected void` | `addStage(Widget stageWidget)` Adds a stage to the (end of the) stages of this wizard.
`protected DialogCallback` | `makeContinuationCallback()` Returns dialog callback which can be used in intermediate dialogs to deny if the user denies, and continue to the next stage if he confirms.
`protected DialogCallback` | `makeFinishCallback()` Returns a dialog callback which can be used as the callback of the last stage - it denies to the global callback if the user denies, and confirms if the user confirms.
`protected void` | `onAttach()` Displays the first stage, or confirms (in a deferred command) if there are no stages.
`protected void` | `showNextStage()` Moves to the next stage.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onBrowserEvent, onDetach, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Wizard

    public Wizard(DialogCallback dialogCallback)

  Creates a new Wizard with the specified dialog callback.

Method Detail

### addStage

    protected void addStage(Widget stageWidget)

  Adds a stage to the (end of the) stages of this wizard. A wizard with no stages will confirm (with a `null` value) immediately when shown.

### onAttach

    protected void onAttach()

  Displays the first stage, or confirms (in a deferred command) if there are no stages.

  Overrides:
    `onAttach` in class `Composite`

### showNextStage

    protected void showNextStage()

  Moves to the next stage.

### makeContinuationCallback

    protected DialogCallback makeContinuationCallback()

  Returns dialog callback which can be used in intermediate dialogs to deny if the user denies, and continue to the next stage if he confirms.

### makeFinishCallback

    protected DialogCallback makeFinishCallback()

  Returns a dialog callback which can be used as the callback of the last stage - it denies to the global callback if the user denies, and confirms if the user confirms.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD